import { parse } from 'css';
import camelCase from 'camel-case';

export default (cssStr) => {
  if (typeof cssStr === 'object') {
    return cssStr;
  }

  const cssObj = {};
  const { declarations } = parse(`.div-style{${cssStr}}`).stylesheet.rules[0];

  declarations.forEach((declaration) => {
    const property = camelCase(declaration.property);
    cssObj[property] = declaration.value;
  });

  return cssObj;
};
